Static Ads Lab
API ReferenceSwipe filesV1Swipe filesId

Archive a swipe file

Soft-deletes (archives) a swipe file. It can be restored later via POST /v1/swipe-files/{id}/restore.

DELETE
/v1/swipe-files/{id}
X-API-Key<token>

API key for authentication. Include in the X-API-Key header.

In: header

Path Parameters

idstring

The swipe file ID

Length1 <= length

Response Body

curl -X DELETE "https://api.staticadslab.com/v1/swipe-files/sf_a1b2c3d4e5f67890"
{
  "deleted": true
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request body",
    "details": [
      {
        "field": "string",
        "message": "string"
      }
    ]
  },
  "meta": {
    "request_id": "req_a1b2c3d4e5f67890",
    "timestamp": "2026-03-27T12:00:00.000Z"
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request body",
    "details": [
      {
        "field": "string",
        "message": "string"
      }
    ]
  },
  "meta": {
    "request_id": "req_a1b2c3d4e5f67890",
    "timestamp": "2026-03-27T12:00:00.000Z"
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Invalid request body",
    "details": [
      {
        "field": "string",
        "message": "string"
      }
    ]
  },
  "meta": {
    "request_id": "req_a1b2c3d4e5f67890",
    "timestamp": "2026-03-27T12:00:00.000Z"
  }
}